GET api/contractItemapi/contractitemsbycontract/{contractId}?active={active}&lastUpdate={lastUpdate}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| contractId | globally unique identifier |
Required |
|
| active | boolean |
None. |
|
| lastUpdate | date |
None. |
Body Parameters
None.
Response Information
Resource Description
Collection of ContractItemViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| item_descriptions | Dictionary of string [key] and string [value] |
None. |
|
| item_code | string |
None. |
|
| selected_sticker_id | globally unique identifier |
None. |
|
| selected_nameplate_id | globally unique identifier |
None. |
|
| active | boolean |
Required |
|
| contract_id | globally unique identifier |
Required |
|
| id | globally unique identifier |
None. |
|
| physical_item_id | globally unique identifier |
None. |
|
| service_item_id | globally unique identifier |
None. |
|
| item_wash_max | integer |
None. |
|
| quantity | integer |
None. |
Response Formats
application/json, text/json
Sample:
[
{
"item_descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"item_code": "sample string 1",
"selected_sticker_id": "80cd8699-ec4b-4d19-8cd9-73014fc086fe",
"selected_nameplate_id": "27fd18a7-f1b9-46d7-974d-d5d2b010f1b9",
"active": true,
"contract_id": "9eee89b3-e513-4da2-b773-42697daf1297",
"id": "63ec56bf-14ff-47fd-801b-9fb9b5fa069c",
"physical_item_id": "779da7cc-1c03-42b1-bf74-bf03facf825d",
"service_item_id": "a142b3f5-589d-414a-a8a0-37c3759b477f",
"item_wash_max": 1,
"quantity": 1
},
{
"item_descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"item_code": "sample string 1",
"selected_sticker_id": "80cd8699-ec4b-4d19-8cd9-73014fc086fe",
"selected_nameplate_id": "27fd18a7-f1b9-46d7-974d-d5d2b010f1b9",
"active": true,
"contract_id": "9eee89b3-e513-4da2-b773-42697daf1297",
"id": "63ec56bf-14ff-47fd-801b-9fb9b5fa069c",
"physical_item_id": "779da7cc-1c03-42b1-bf74-bf03facf825d",
"service_item_id": "a142b3f5-589d-414a-a8a0-37c3759b477f",
"item_wash_max": 1,
"quantity": 1
}
]
application/xml, text/xml
Sample:
<ArrayOfcontract_item xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<contract_item>
<active>true</active>
<contract_id>9eee89b3-e513-4da2-b773-42697daf1297</contract_id>
<id>63ec56bf-14ff-47fd-801b-9fb9b5fa069c</id>
<item_wash_max>1</item_wash_max>
<physical_item_id>779da7cc-1c03-42b1-bf74-bf03facf825d</physical_item_id>
<quantity>1</quantity>
<service_item_id>a142b3f5-589d-414a-a8a0-37c3759b477f</service_item_id>
<item_code>sample string 1</item_code>
<item_descriptions xmlns:d3p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d3p1:KeyValueOfstringstring>
<d3p1:Key>sample string 1</d3p1:Key>
<d3p1:Value>sample string 2</d3p1:Value>
</d3p1:KeyValueOfstringstring>
<d3p1:KeyValueOfstringstring>
<d3p1:Key>sample string 3</d3p1:Key>
<d3p1:Value>sample string 4</d3p1:Value>
</d3p1:KeyValueOfstringstring>
</item_descriptions>
<selected_nameplate_id>27fd18a7-f1b9-46d7-974d-d5d2b010f1b9</selected_nameplate_id>
<selected_sticker_id>80cd8699-ec4b-4d19-8cd9-73014fc086fe</selected_sticker_id>
</contract_item>
<contract_item>
<active>true</active>
<contract_id>9eee89b3-e513-4da2-b773-42697daf1297</contract_id>
<id>63ec56bf-14ff-47fd-801b-9fb9b5fa069c</id>
<item_wash_max>1</item_wash_max>
<physical_item_id>779da7cc-1c03-42b1-bf74-bf03facf825d</physical_item_id>
<quantity>1</quantity>
<service_item_id>a142b3f5-589d-414a-a8a0-37c3759b477f</service_item_id>
<item_code>sample string 1</item_code>
<item_descriptions xmlns:d3p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d3p1:KeyValueOfstringstring>
<d3p1:Key>sample string 1</d3p1:Key>
<d3p1:Value>sample string 2</d3p1:Value>
</d3p1:KeyValueOfstringstring>
<d3p1:KeyValueOfstringstring>
<d3p1:Key>sample string 3</d3p1:Key>
<d3p1:Value>sample string 4</d3p1:Value>
</d3p1:KeyValueOfstringstring>
</item_descriptions>
<selected_nameplate_id>27fd18a7-f1b9-46d7-974d-d5d2b010f1b9</selected_nameplate_id>
<selected_sticker_id>80cd8699-ec4b-4d19-8cd9-73014fc086fe</selected_sticker_id>
</contract_item>
</ArrayOfcontract_item>